curl --compressed "https://api.coinmetrics.io/v4/catalog-all-v2/asset-metrics?pretty=true&api_key=<your_key>"{
"data": [
{
"asset": "btc",
"metrics": [
{
"metric": "AdrActCnt",
"frequencies": [
{
"frequency": "1b",
"min_time": "2009-01-03T18:15:05.000000000Z",
"max_time": "2023-05-11T14:40:34.000000000Z",
"min_height": "0",
"max_height": "789270",
"min_hash": "000000000019d6689c085ae165831e934ff763ae46a2a6c172b3f1b60a8ce26f",
"max_hash": "000000000000000000048a29c1b3374cfaac726ee4e7774d6884699ae5cff7a9"
},
{
"frequency": "1d",
"min_time": "2009-01-03T00:00:00.000000000Z",
"max_time": "2023-05-10T00:00:00.000000000Z",
"community": true
}
]
},
{
"metric": "FlowInBFXUSD",
"frequencies": [
{
"frequency": "1b",
"min_time": "2009-01-03T18:15:05.000000000Z",
"max_time": "2023-05-11T14:40:34.000000000Z",
"min_height": "0",
"max_height": "789270",
"min_hash": "000000000019d6689c085ae165831e934ff763ae46a2a6c172b3f1b60a8ce26f",
"max_hash": "000000000000000000048a29c1b3374cfaac726ee4e7774d6884699ae5cff7a9"
},
{
"frequency": "1d",
"min_time": "2010-07-18T00:00:00.000000000Z",
"max_time": "2023-05-10T00:00:00.000000000Z"
}
]
}
]
},
{
"asset": "eth",
"metrics": [
{
"metric": "BlkSizeByte",
"frequencies": [
{
"frequency": "1b",
"min_time": "1970-01-01T00:00:00.000000000Z",
"max_time": "2023-05-11T16:18:47.000000000Z",
"min_height": "0",
"max_height": "17238243",
"min_hash": "d4e56740f876aef8c010b86a40d5f56745a118d0906a34e69aec8c0db1cb8fa3",
"max_hash": "dfefa28d80fe8f6926ca8d161df8bc2819c30e17b176e166123325391ac8bb0b"
},
{
"frequency": "1d",
"min_time": "2015-07-30T00:00:00.000000000Z",
"max_time": "2023-05-10T00:00:00.000000000Z"
}
]
},
{
"metric": "FlowInBFXUSD",
"frequencies": [
{
"frequency": "1b",
"min_time": "1970-01-01T00:00:00.000000000Z",
"max_time": "2023-05-11T16:18:47.000000000Z",
"min_height": "0",
"max_height": "17238243",
"min_hash": "d4e56740f876aef8c010b86a40d5f56745a118d0906a34e69aec8c0db1cb8fa3",
"max_hash": "dfefa28d80fe8f6926ca8d161df8bc2819c30e17b176e166123325391ac8bb0b"
},
{
"frequency": "1d",
"min_time": "2015-08-08T00:00:00.000000000Z",
"max_time": "2023-06-29T00:00:00.000000000Z"
}
]
}
]
}
],
"next_page_token": "cGVycA",
"next_page_url": "https://api.coinmetrics.io/v4/catalog-all-v2/asset-metrics?api_key=<your_key>&page_size=2&next_page_token=cGVycA"
}Full catalog v2
Supported asset metrics
Returns a list of all supported asset metrics along with the time ranges of available data.
GET
/
catalog-all-v2
/
asset-metrics
curl --compressed "https://api.coinmetrics.io/v4/catalog-all-v2/asset-metrics?pretty=true&api_key=<your_key>"{
"data": [
{
"asset": "btc",
"metrics": [
{
"metric": "AdrActCnt",
"frequencies": [
{
"frequency": "1b",
"min_time": "2009-01-03T18:15:05.000000000Z",
"max_time": "2023-05-11T14:40:34.000000000Z",
"min_height": "0",
"max_height": "789270",
"min_hash": "000000000019d6689c085ae165831e934ff763ae46a2a6c172b3f1b60a8ce26f",
"max_hash": "000000000000000000048a29c1b3374cfaac726ee4e7774d6884699ae5cff7a9"
},
{
"frequency": "1d",
"min_time": "2009-01-03T00:00:00.000000000Z",
"max_time": "2023-05-10T00:00:00.000000000Z",
"community": true
}
]
},
{
"metric": "FlowInBFXUSD",
"frequencies": [
{
"frequency": "1b",
"min_time": "2009-01-03T18:15:05.000000000Z",
"max_time": "2023-05-11T14:40:34.000000000Z",
"min_height": "0",
"max_height": "789270",
"min_hash": "000000000019d6689c085ae165831e934ff763ae46a2a6c172b3f1b60a8ce26f",
"max_hash": "000000000000000000048a29c1b3374cfaac726ee4e7774d6884699ae5cff7a9"
},
{
"frequency": "1d",
"min_time": "2010-07-18T00:00:00.000000000Z",
"max_time": "2023-05-10T00:00:00.000000000Z"
}
]
}
]
},
{
"asset": "eth",
"metrics": [
{
"metric": "BlkSizeByte",
"frequencies": [
{
"frequency": "1b",
"min_time": "1970-01-01T00:00:00.000000000Z",
"max_time": "2023-05-11T16:18:47.000000000Z",
"min_height": "0",
"max_height": "17238243",
"min_hash": "d4e56740f876aef8c010b86a40d5f56745a118d0906a34e69aec8c0db1cb8fa3",
"max_hash": "dfefa28d80fe8f6926ca8d161df8bc2819c30e17b176e166123325391ac8bb0b"
},
{
"frequency": "1d",
"min_time": "2015-07-30T00:00:00.000000000Z",
"max_time": "2023-05-10T00:00:00.000000000Z"
}
]
},
{
"metric": "FlowInBFXUSD",
"frequencies": [
{
"frequency": "1b",
"min_time": "1970-01-01T00:00:00.000000000Z",
"max_time": "2023-05-11T16:18:47.000000000Z",
"min_height": "0",
"max_height": "17238243",
"min_hash": "d4e56740f876aef8c010b86a40d5f56745a118d0906a34e69aec8c0db1cb8fa3",
"max_hash": "dfefa28d80fe8f6926ca8d161df8bc2819c30e17b176e166123325391ac8bb0b"
},
{
"frequency": "1d",
"min_time": "2015-08-08T00:00:00.000000000Z",
"max_time": "2023-06-29T00:00:00.000000000Z"
}
]
}
]
}
],
"next_page_token": "cGVycA",
"next_page_url": "https://api.coinmetrics.io/v4/catalog-all-v2/asset-metrics?api_key=<your_key>&page_size=2&next_page_token=cGVycA"
}Authorizations
Query Parameters
Comma separated list of assets. By default all assets are returned. Supports the following formats: <asset> - Coin Metrics asset ticker (e.g., btc), <namespace>:<symbol> - External provider symbol (e.g., talos:BTC), <namespace>:by-id:<id> - External provider numeric ID (e.g., talos:by-id:24). The namespace identifies the external data provider (e.g., talos). The by-id selector indicates lookup by a provider-specific numeric ID rather than symbol.

